Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(813)

Unified Diff: third_party/pkg/angular/run-test.sh

Issue 148453003: Updating Angular version (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 6 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/pkg/angular/pubspec.yaml ('k') | third_party/pkg/angular/scripts/analyze.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/pkg/angular/run-test.sh
diff --git a/third_party/pkg/angular/run-test.sh b/third_party/pkg/angular/run-test.sh
index 513ca5abbe7fceb1c87956c17c81b524ac570c49..d8c4370db7e5ceb0ed437e15606ab88c659b2b96 100755
--- a/third_party/pkg/angular/run-test.sh
+++ b/third_party/pkg/angular/run-test.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -e
+
# OS-specific Dartium path defaults
case $( uname -s ) in
Darwin)
@@ -30,7 +32,10 @@ dart --version
# run io tests
dart --checked test/io/all.dart
-./analyze.sh &&
+# run expression extractor tests
+scripts/test-expression-extractor.sh
+
+./scripts/analyze.sh &&
node_modules/jasmine-node/bin/jasmine-node playback_middleware/spec/ &&
node "node_modules/karma/bin/karma" start karma.conf \
--reporters=junit,dots --port=8765 --runner-port=8766 \
« no previous file with comments | « third_party/pkg/angular/pubspec.yaml ('k') | third_party/pkg/angular/scripts/analyze.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698